Holger's Java API

## com.antelmann.db
Class DBAccessLoggerLevel

    java.lang.Object
      com.antelmann.util.logging.Level
          com.antelmann.db.DBAccessLoggerLevel

All Implemented Interfaces:
  Serializable, Comparable<Level>

    public class DBAccessLoggerLevel

extends Level

used as a level to log database access

See Also:
  `AbstractDatabase`, Serialized Form

Field Summary
`static DBAccessLoggerLevel` `DB_LISTENER_DEBUG`
`static DBAccessLoggerLevel` `DB_PREPARE_ACCESS`
`static DBAccessLoggerLevel` `DBACCESS`
`static DBAccessLoggerLevel` `DBCHANGE`
`static DBAccessLoggerLevel` `DBERROR`
`static DBAccessLoggerLevel` `DBFETCH`
`static DBAccessLoggerLevel` `DBLOGIN`
`static DBAccessLoggerLevel` `DBLOGOUT`
`static DBAccessLoggerLevel` `DBUPDATE`

Fields inherited from class com.antelmann.util.logging.Level
`ALERT, BEGIN, COMMENT, CONFIG, DEBUG, DEFAULT, END, ERROR, EXCEPTION, FAILURE, FINE, FINER, FINEST, IMPORTANT, INFO, NORMAL, SEVERE, SUCCESS, WARNING`

Constructor Summary
`protected` `DBAccessLoggerLevel(String type, int importance)`

Method Summary

Methods inherited from class com.antelmann.util.logging.Level
`compareTo, equals, forName, getImportance, getKnownLevels, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DBLOGIN

    public static final DBAccessLoggerLevel DBLOGIN

### DBLOGOUT

    public static final DBAccessLoggerLevel DBLOGOUT

### DBACCESS

    public static final DBAccessLoggerLevel DBACCESS

### DBUPDATE

    public static final DBAccessLoggerLevel DBUPDATE

### DBCHANGE

    public static final DBAccessLoggerLevel DBCHANGE

### DB_PREPARE_ACCESS

    public static final DBAccessLoggerLevel DB_PREPARE_ACCESS

### DBERROR

    public static final DBAccessLoggerLevel DBERROR

### DBFETCH

    public static final DBAccessLoggerLevel DBFETCH

### DB_LISTENER_DEBUG

    public static final DBAccessLoggerLevel DB_LISTENER_DEBUG

Constructor Detail

### DBAccessLoggerLevel

    protected DBAccessLoggerLevel(String type,
                                  int importance)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads